Name:          libmateweather
Version:       1.5.1
Release:       1%{?dist}
Summary:       Libraries to allow MATE Desktop to display weather information
License:       GPLv2+
URL:           http://mate-desktop.org
Source0:       http://pub.mate-desktop.org/releases/1.5/%{name}-%{version}.tar.xz

BuildRequires: gsettings-desktop-schemas-devel
BuildRequires: gtk2-devel
BuildRequires: libsoup-devel
BuildRequires: mate-common
BuildRequires: pygobject2-codegen
BuildRequires: python-gudev
BuildRequires: pygtk2-devel

%description
Libraries to allow MATE Desktop to display weather information


%package devel
Summary:  Development files for libmateweather
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
Development files for libmateweather


%prep
%setup -q
NOCONFIGURE=1 ./autogen.sh


%build
%configure --disable-static       \
           --with-gnu-ld          \
           --enable-python        \
           --enable-gtk-doc-html  

make %{?_smp_mflags} V=1

%install
make install DESTDIR=%{buildroot}

find %{buildroot} -name '*.la' -exec rm -fv {} ';'
find %{buildroot} -name '*.a' -exec rm -fv {} ';'


%find_lang %{name}

%post 
/sbin/ldconfig
/bin/touch --no-create %{_datadir}/icons/mate/status &>/dev/null || :

%postun
/sbin/ldconfig
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/mate &>/dev/null
    /usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/mate/status/ &>/dev/null || :
    /usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/mate/status/ &>/dev/null || :
/usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%files -f %{name}.lang
%doc AUTHORS COPYING README
%{_datadir}/libmateweather/
%{_datadir}/icons/mate/*/status/*
%{_datadir}/glib-2.0/schemas/org.mate.weather.gschema.xml
%{python_sitearch}/mateweather/
%{_libdir}/libmateweather.so.1*

%files devel
%doc %{_datadir}/gtk-doc/html/libmateweather/
%{_libdir}/libmateweather.so
%{_includedir}/libmateweather/
%{_libdir}/pkgconfig/mateweather.pc


%changelog
* Sun Jun 20 2013 Dan Mashal <dan.mashal@fedoraproject.org> 1.5.1-1
- Update to latest release 
- Update configure flags

* Mon Oct 29 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.5.0-1
- update to 1.5.0 release
- change build requires style
- remove mateconf scriplets and replace with schema scriptlets
- add requires gsettings-desktop-schemas
- add build requires gsettings-desktop-schemas-devel
- move gtk-doc files to devel package

* Mon Aug 27 2012 Rex Dieter <rdieter@fedoraproject.org> 1.4.0-5
- fix deps, a few cosmetics

* Sun Aug 25 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.4.0-4
- Fix mateconf scriptlets for schemas, bump release version

* Sat Aug 25 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.4.0-3
- Move python files to main package, drop libs subpackage, update mateconf scriptlets, move shared library to devel package

* Sat Aug 18 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.4.0-2
- Fix directory ownership

* Sun Aug 12 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.4.0-1
- Initial build
